TextInputCallback (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: javax.security.auth.callback, class: TextInputCallback
Keywords: javax.security.auth.callback.TextInputCallback class

# Class TextInputCallback

java.lang.Object
javax.security.auth.callback.TextInputCallback

All Implemented Interfaces:
  `Serializable, Callback`

Direct Known Subclasses:
  `RealmCallback`

public class TextInputCallback extends Object implements Callback, Serializable

Underlying security services instantiate and pass a `TextInputCallback` to the `handle` method of a `CallbackHandler` to retrieve generic text information.

Since:
  1.4
See Also:
  - `CallbackHandler`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextInputCallback(String prompt)`
  Construct a `TextInputCallback` with a prompt.
  `TextInputCallback(String prompt, String defaultText)`
  Construct a `TextInputCallback` with a prompt and default input value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultText()`
  Get the default text.
  `String`
  `getPrompt()`
  Get the prompt.
  `String`
  `getText()`
  Get the retrieved text.
  `void`
  `setText(String text)`
  Set the retrieved text.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TextInputCallback

    public TextInputCallback(String prompt)
    Construct a `TextInputCallback` with a prompt.
    Parameters:
      `prompt` - the prompt used to request the information.
    Throws:
      `IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

  - ### TextInputCallback

    public TextInputCallback(String prompt, String defaultText)
    Construct a `TextInputCallback` with a prompt and default input value.
    Parameters:
      `prompt` - the prompt used to request the information.
      `defaultText` - the text to be used as the default text displayed with the prompt.
    Throws:
      `IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultText` is null or if `defaultText` has a length of 0.

- ## Method Details

  - ### getPrompt

    public String getPrompt()
    Get the prompt.
    Returns:
      the prompt.

  - ### getDefaultText

    public String getDefaultText()
    Get the default text.
    Returns:
      the default text, or null if this `TextInputCallback` was not instantiated with `defaultText`.

  - ### setText

    public void setText(String text)
    Set the retrieved text.
    Parameters:
      `text` - the retrieved text, which may be null.
    See Also:
      - `getText()`

  - ### getText

    public String getText()
    Get the retrieved text.
    Returns:
      the retrieved text, which may be null.
    See Also:
      - `setText(String)`